#
# spec file for package python-sounddevice
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-sounddevice
Version:        0.3.12
Release:        3.1
Summary:        Play and Record Sound with Python
License:        MIT
Group:          Development/Languages/Python
Url:            http://python-sounddevice.readthedocs.io/
Source:         https://files.pythonhosted.org/packages/source/s/sounddevice/sounddevice-%{version}.tar.gz
BuildRequires:  %{python_module cffi >= 1.0}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  portaudio
BuildRequires:  python-rpm-macros
Requires:       portaudio
Requires:       python-cffi >= 1.0
Recommends:     python-numpy
BuildArch:      noarch

%python_subpackages

%description
This Python_ module provides bindings for the PortAudio library and a few
convenience functions to play and record NumPy arrays containing audio signals.


%prep
%setup -q -n sounddevice-%{version}

%build
%python_build

%install
%python_install
%python_expand fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc NEWS.rst README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Tue Dec  4 2018 mcepl@suse.com
- Remove superfluous devel dependency for noarch package
* Wed Oct 31 2018 toddrme2178@gmail.com
- Update to 0.3.12
  * Support for the dylib from Anaconda
* Tue May  8 2018 toddrme2178@gmail.com
- Update to 0.3.11 (2018-05-07):
  * Support for the DLL from ``conda-forge``
- Update to 0.3.10 (2017-12-22):
  * Change the way how the PortAudio library is located
- Update to 0.3.9 (2017-10-25):
  * Add `sounddevice.Stream.closed`
  * Switch CFFI usage to "out-of-line ABI" mode
* Tue Aug  8 2017 toddrme2178@gmail.com
- Initial version
